declare const _sfc_main: import("vue").DefineComponent<{
    value: {
        type: StringConstructor;
        required: true;
        default: string;
    };
}, {
    props: {
        value: string;
    };
    emit: (event: "change", ...args: any[]) => void;
    onChange: (value: string) => void;
    readonly RtfRichTextEditor: import("vue").DefineComponent<{
        value: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        menuConfig: {
            type: (StringConstructor | ArrayConstructor)[];
            default: () => never[];
        };
        history: {
            type: BooleanConstructor;
            default: boolean;
        };
        formatClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        heading: {
            type: BooleanConstructor;
            default: boolean;
        };
        fontSize: {
            type: BooleanConstructor;
            default: boolean;
        };
        bold: {
            type: BooleanConstructor;
            default: boolean;
        };
        italic: {
            type: BooleanConstructor;
            default: boolean;
        };
        underline: {
            type: BooleanConstructor;
            default: boolean;
        };
        strike: {
            type: BooleanConstructor;
            default: boolean;
        };
        color: {
            type: BooleanConstructor;
            default: boolean;
        };
        textAlign: {
            type: BooleanConstructor;
            default: boolean;
        };
        bulletList: {
            type: BooleanConstructor;
            default: boolean;
        };
        orderedList: {
            type: BooleanConstructor;
            default: boolean;
        };
        horizontalRule: {
            type: BooleanConstructor;
            default: boolean;
        };
        blockquote: {
            type: BooleanConstructor;
            default: boolean;
        };
        codeBlock: {
            type: BooleanConstructor;
            default: boolean;
        };
        link: {
            type: BooleanConstructor;
            default: boolean;
        };
        image: {
            type: BooleanConstructor;
            default: boolean;
        };
        separate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
    }, {
        editor: import("vue").Ref<any>;
        menuConfig: import("vue").Ref<any>;
        inputVal: import("vue").Ref<any>;
        setLnkUrl: () => any;
        linkShow: ({ editor, state, view, from, to }: {
            editor: any;
            state: any;
            view: any;
            from: any;
            to: any;
        }) => any;
        imgToolShow: ({ editor, state, view, from, to }: {
            editor: any;
            state: any;
            view: any;
            from: any;
            to: any;
        }) => boolean;
        getUpdateWidth: (data: any) => void;
        getUpdateHeight: (data: any) => void;
        resizeWidth: import("vue").Ref<any>;
        resizeHeight: import("vue").Ref<any>;
        clipBtnActive: import("vue").Ref<boolean>;
        timeStamp: import("vue").Ref<any>;
        updateClipBtnActive: () => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue" | "blur")[], "change" | "update:modelValue" | "blur", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: StringConstructor;
            default: string;
        };
        height: {
            type: (StringConstructor | NumberConstructor)[];
            default: string;
        };
        menuConfig: {
            type: (StringConstructor | ArrayConstructor)[];
            default: () => never[];
        };
        history: {
            type: BooleanConstructor;
            default: boolean;
        };
        formatClear: {
            type: BooleanConstructor;
            default: boolean;
        };
        heading: {
            type: BooleanConstructor;
            default: boolean;
        };
        fontSize: {
            type: BooleanConstructor;
            default: boolean;
        };
        bold: {
            type: BooleanConstructor;
            default: boolean;
        };
        italic: {
            type: BooleanConstructor;
            default: boolean;
        };
        underline: {
            type: BooleanConstructor;
            default: boolean;
        };
        strike: {
            type: BooleanConstructor;
            default: boolean;
        };
        color: {
            type: BooleanConstructor;
            default: boolean;
        };
        textAlign: {
            type: BooleanConstructor;
            default: boolean;
        };
        bulletList: {
            type: BooleanConstructor;
            default: boolean;
        };
        orderedList: {
            type: BooleanConstructor;
            default: boolean;
        };
        horizontalRule: {
            type: BooleanConstructor;
            default: boolean;
        };
        blockquote: {
            type: BooleanConstructor;
            default: boolean;
        };
        codeBlock: {
            type: BooleanConstructor;
            default: boolean;
        };
        link: {
            type: BooleanConstructor;
            default: boolean;
        };
        image: {
            type: BooleanConstructor;
            default: boolean;
        };
        separate: {
            type: BooleanConstructor;
            default: boolean;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        onBlur?: ((...args: any[]) => any) | undefined;
    }, {
        formatClear: boolean;
        separate: boolean;
        heading: boolean;
        fontSize: boolean;
        bold: boolean;
        italic: boolean;
        underline: boolean;
        strike: boolean;
        color: boolean;
        bulletList: boolean;
        orderedList: boolean;
        horizontalRule: boolean;
        textAlign: boolean;
        blockquote: boolean;
        codeBlock: boolean;
        link: boolean;
        image: boolean;
        value: string;
        modelValue: string;
        height: string | number;
        menuConfig: string | unknown[];
        history: boolean;
        placeholder: string;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "change"[], "change", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: StringConstructor;
        required: true;
        default: string;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
}, {
    value: string;
}>;
export default _sfc_main;
//# sourceMappingURL=MdEditor.vue.d.ts.map