declare const _sfc_main: import("vue").DefineComponent<{
    width: {
        type: StringConstructor;
        required: false;
    };
    minWidth: {
        type: StringConstructor;
        required: false;
    };
    maxWidth: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    minHeight: {
        type: StringConstructor;
        required: false;
    };
    maxHeight: {
        type: StringConstructor;
        required: false;
    };
    margin: {
        type: StringConstructor;
        required: false;
    };
    padding: {
        type: StringConstructor;
        required: false;
    };
    gridCol: {
        type: ObjectConstructor;
        required: true;
    };
    gridRow: {
        type: ObjectConstructor;
        required: true;
    };
    templateCol: {
        type: StringConstructor;
        required: false;
    };
    templateRow: {
        type: StringConstructor;
        required: false;
    };
    gap: {
        type: StringConstructor;
        required: false;
    };
    autoFlow: {
        type: StringConstructor;
        required: false;
    };
    justifyItems: {
        type: StringConstructor;
        required: false;
    };
    alignContent: {
        type: StringConstructor;
        required: false;
    };
    display: {
        type: StringConstructor;
        required: false;
    };
}, {
    props: {
        width?: string | undefined;
        minWidth?: string | undefined;
        maxWidth?: string | undefined;
        height?: string | undefined;
        minHeight?: string | undefined;
        maxHeight?: string | undefined;
        margin?: string | undefined;
        padding?: string | undefined;
        gridCol: {
            start?: string;
            end?: string;
        };
        gridRow: {
            start?: string;
            end?: string;
        };
        templateCol?: string | undefined;
        templateRow?: string | undefined;
        gap?: string | undefined;
        autoFlow?: string | undefined;
        justifyItems?: string | undefined;
        alignContent?: string | undefined;
        display?: string | undefined;
    };
    containerMargin: import("vue").ComputedRef<string>;
    containerPadding: import("vue").ComputedRef<string>;
    contentGap: import("vue").ComputedRef<string>;
    contentJustifyItems: import("vue").ComputedRef<string | undefined>;
    contentAlignContent: import("vue").ComputedRef<string | undefined>;
    contentTemplateCol: import("vue").ComputedRef<string>;
    contentTemplateRow: import("vue").ComputedRef<string>;
    contentAutoFlow: import("vue").ComputedRef<"" | "grid-flow-row" | "grid-flow-col" | "grid-flow-row-dense" | "grid-flow-col-dense" | undefined>;
    contentDisplay: import("vue").ComputedRef<"" | "invisible" | "hidden">;
    gridColComputed: import("vue").ComputedRef<"" | (string | undefined)[]>;
    gridRowComputed: import("vue").ComputedRef<"" | string[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    width: {
        type: StringConstructor;
        required: false;
    };
    minWidth: {
        type: StringConstructor;
        required: false;
    };
    maxWidth: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    minHeight: {
        type: StringConstructor;
        required: false;
    };
    maxHeight: {
        type: StringConstructor;
        required: false;
    };
    margin: {
        type: StringConstructor;
        required: false;
    };
    padding: {
        type: StringConstructor;
        required: false;
    };
    gridCol: {
        type: ObjectConstructor;
        required: true;
    };
    gridRow: {
        type: ObjectConstructor;
        required: true;
    };
    templateCol: {
        type: StringConstructor;
        required: false;
    };
    templateRow: {
        type: StringConstructor;
        required: false;
    };
    gap: {
        type: StringConstructor;
        required: false;
    };
    autoFlow: {
        type: StringConstructor;
        required: false;
    };
    justifyItems: {
        type: StringConstructor;
        required: false;
    };
    alignContent: {
        type: StringConstructor;
        required: false;
    };
    display: {
        type: StringConstructor;
        required: false;
    };
}>>, {}>;
export default _sfc_main;
//# sourceMappingURL=RdLayoutGrid.vue.d.ts.map